Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/main/bibliography.bib
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/main/bibliography.bib	(revision 12045)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/main/bibliography.bib	(revision 12046)
@@ -400,6 +400,6 @@
 }
 
-@article{         brodeau.barnier.ea_JPO16,
-  title         = "Climatologically Significant Effects of Some Approximations in the Bulk Parameterizations of Turbulent Air–Sea Fluxes",
+@article{         brodeau.barnier.ea_JPO17,
+  title         = "Climatologically Significant Effects of Some Approximations in the Bulk Parameterizations of Turbulent Air{\textendash}Sea Fluxes",
   pages         = "5--28",
   journal       = "Journal of Physical Oceanography",
@@ -407,5 +407,5 @@
   number        = "1",
   author        = "Brodeau, Laurent and Barnier, Bernard and Gulev, Sergey K. and Woods, Cian",
-  year          = "2016",
+  year          = "2017",
   month         = "jan",
   publisher     = "American Meteorological Society",
@@ -3134,2 +3134,16 @@
   doi           = "10.1029/92jc00911"
 }
+
+@article{large.yeager_CD09,
+author="Large, W. G. and Yeager, S. G.",
+title="The Global Climatology of an Interannually Varying Air-Sea Flux Data Set",
+pages = "341--364",
+journal="Climate Dynamics",
+volume = "33",
+number = "2-3",
+year="2009",
+month = "aug",
+publisher = "Springer Science and Business Media LLC",
+doi="10.1007/s00382-008-0441-3"
+}
+
Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/subfiles/chap_SBC.tex
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 12045)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 12046)
@@ -47,5 +47,5 @@
 
 \begin{itemize}
-\item a bulk formulation (\np[=.true.]{ln_blk}{ln\_blk} with four possible bulk algorithms),
+\item a bulk formulation (\np[=.true.]{ln_blk}{ln\_blk}), featuring a selection of four bulk parameterization algorithms,
 \item a flux formulation (\np[=.true.]{ln_flx}{ln\_flx}),
 \item a coupled or mixed forced/coupled formulation (exchanges with a atmospheric model via the OASIS coupler),
@@ -537,4 +537,6 @@
 \label{sec:SBC_blk}
 
+% L. Brodeau, December 2019...
+
 \begin{listing}
   \nlst{namsbc_blk}
@@ -543,7 +545,10 @@
 \end{listing}
 
-In the bulk formulation, the surface boundary condition fields are computed with
-bulk formulae using prescribed atmospheric fields and prognostic ocean (and
-sea-ice) surface variables averaged over \np{nn_fsbc}{nn\_fsbc} time-step.
+If the bulk formulation is selected (\np[=.true.]{ln_blk}{ln\_blk}), the air-sea
+fluxes associated with surface boundary conditions are estimated by means of the
+traditional \emph{bulk formulae}. As input, bulk formulae rely on a prescribed
+near-surface atmosphere state (typically extracted from a weather reanalysis)
+and the prognostic sea (-ice) surface state averaged over \np{nn_fsbc}{nn\_fsbc}
+time-step(s).
 
 % Turbulent air-sea fluxes are computed using the sea surface properties and
@@ -555,5 +560,6 @@
 \subsection{Bulk formulae}
 %
-In NEMO, when the bulk formulation is selected, surface fluxes are computed by means of the traditional bulk formulae:
+In NEMO, the set of equations that relate each component of the surface fluxes
+to the near-surface atmosphere and sea surface states writes
 %
 \begin{subequations}\label{eq_bulk}
@@ -568,13 +574,11 @@
   \end{eqnarray}
 \end{subequations}
-%lulu
-%
-From which, the the non-solar heat flux is \[ Q_{ns} = Q_L + Q_H + Q_{ir} \]
-%
+%
+with
    \[ \theta_z \simeq T_z+\gamma z \]
    \[  q_s \simeq 0.98\,q_{sat}(T_s,p_a ) \]
-
-
-
+%
+from which, the the non-solar heat flux is \[ Q_{ns} = Q_L + Q_H + Q_{ir} \]
+%
 where $\mathbf{\tau}$ is the wind stress vector, $Q_H$ the sensible heat flux,
 $E$ the evaporation, $Q_L$ the latent heat flux, and $Q_{ir}$ the net longwave
@@ -584,51 +588,54 @@
 and longwave radiative fluxes, respectively.
 %
-Note: a positive sign of $\mathbf{\tau}$, $Q_H$, and $Q_L$ means a gain of the
-relevant quantity for the ocean, while a positive $E$ implies a freshwater loss
-for the ocean.
-%
-$\rho$ is the density of air. $C_D$, $C_H$ and $C_E$ are the BTCs for momentum,
-sensible heat, and moisture, respectively.  $C_P$ is the heat capacity of moist
-air, and $L_v$ is the latent heat of vaporization of water.  $\theta_z$, $T_z$
-and $q_z$ are the potential temperature, temperature, and specific humidity of
-air at height $z$, respectively. $\gamma z$ is a temperature correction term
-which accounts for the adiabatic lapse rate and approximates the potential
-temperature at height $z$ \citep{Josey_al_2013}.  $\mathbf{U}_z$ is the wind
-speed vector at height $z$ (possibly referenced to the surface current
-$\mathbf{u_0}$, section \ref{s_res1}.\ref{ss_current}). The bulk scalar wind
-speed, $U_B$, is the scalar wind speed, $|\mathbf{U}_z|$, with the potential
-inclusion of a gustiness contribution (section
-\ref{s_res2}.\ref{ss_calm}).
-$P_0$ is the mean sea-level pressure (SLP).
+Note: a positive sign of $\mathbf{\tau}$, the various fluxes of heat implies a
+gain of the relevant quantity for the ocean, while a positive $E$ implies a
+freshwater loss for the ocean.
+%
+$\rho$ is the density of air. $C_D$, $C_H$ and $C_E$ are the bulk transfer
+coefficients for momentum, sensible heat, and moisture, respectively (hereafter
+referd to as BTCs).
+%
+$C_P$ is the heat capacity of moist air, and $L_v$ is the latent heat of
+vaporization of water.
+%
+$\theta_z$, $T_z$ and $q_z$ are the potential temperature, absolute temperature,
+and specific humidity of air at height $z$ above the sea surface,
+respectively. $\gamma z$ is a temperature correction term which accounts for the
+adiabatic lapse rate and approximates the potential temperature at height
+$z$ \citep{Josey_al_2013}.
+%
+$\mathbf{U}_z$ is the wind speed vector at height $z$ above the sea surface
+(possibly referenced to the surface current $\mathbf{u_0}$,
+section \ref{s_res1}.\ref{ss_current}).
+%
+The bulk scalar wind speed, namely $U_B$, is the scalar wind speed,
+$|\mathbf{U}_z|$, with the potential inclusion of a gustiness contribution
+(section \ref{s_res2}.\ref{ss_calm}).
+%
+$a$ and $\delta$ are the albedo and emissivity of the sea surface, respectively.\\
+%
+%$p_a$ is the mean sea-level pressure (SLP).
+%
 $T_s$ is the sea surface temperature. $q_s$ is the saturation specific humidity
 of air at temperature $T_s$ and includes a 2\% reduction to account for the
 presence of salt in seawater \citep{Sverdrup_al_1942,Kraus_Businger_1996}.
-Depending on the bulk parameterization used, $T_s$ can be the temperature at the
-air-sea interface (skin temperature, hereafter SSST) or at a few tens of
-centimeters below the surface (bulk sea surface temperature, hereafter SST).
+Depending on the bulk parameterization used, $T_s$ can either be the temperature
+at the air-sea interface (skin temperature, hereafter SSST) or at typically a
+few tens of centimeters below the surface (bulk sea surface temperature,
+hereafter SST).
+%
 The SSST differs from the SST due to the contributions of two effects of
-opposite sign, the \emph{cool skin} and \emph{warm layer} (hereafter CSWL). The
-\emph{cool skin} refers to the cooling of the millimeter-scale uppermost layer
-of the ocean, in which the net upward flux of heat to the atmosphere is
-ineffectively sustained by molecular diffusion. As such, a steep vertical
-gradient of temperature must exist to ensure the heat flux continuity with
-underlying layers in which the same flux is sustained by turbulence.
-The \emph{warm layer} refers to the warming of the upper few meters of the ocean
-under sunny conditions.
-The CSWL effects are most significant under weak wind conditions due to the
-absence of substancial surface vertical mixing (caused by \eg breaking waves).
-The impact of the CSWL on the computed TASFs is discussed in section
-\ref{s_res1}.\ref{ss_skin}.
-
-
-%%%% Second set of equations (rad):
-where $a$ and $\delta$ are the albedo and emissivity of the sea surface,
-respectively.
-Thus, we use the computed $Q_L$ and $Q_H$ and the 3-hourly surface downwelling
-shortwave and longwave radiative fluxes ($Q_{sw\downarrow}$ and
-$Q_{lw\downarrow}$, respectively) from ERA-Interim to correct the daily SST
-every 3 hours. Due to the implicitness of the problem implied by the dependence
-of $Q_{nsol}$ on $T_s$, this correction is done iteratively during the
-computation of the TASFs.
+opposite sign, the \emph{cool skin} and \emph{warm layer} (hereafter CS and WL,
+respectively).
+%
+Technically, when the ECMWF or COARE* bulk parameterizations are selected
+(\np[=.true.]{ln_ECMWF}{ln\_ECMWF} or \np[=.true.]{ln_COARE*}{ln\_COARE\*}),
+$T_s$ is the SSST, as opposed to the NCAR bulk parameterization
+(\np[=.true.]{ln_NCAR}{ln\_NCAR}) for which $T_s$ is the bulk SST (\ie~temperature
+at first T-point level).
+
+
+For more details on all these aspects the reader is invited to refer
+to \citet{brodeau.barnier.ea_JPO17}.
 
 
@@ -654,5 +661,7 @@
 \subsubsection{Appropriate use of the  NCAR algorithm}
 
-NCAR bulk parameterizations (formerly know as CORE) is meant to be used with the CORE II atmospheric forcing (XXX). Hence the following namelist parameters must be set as follow:
+NCAR bulk parameterizations (formerly know as CORE) is meant to be used with the
+CORE II atmospheric forcing \citep{large.yeager_CD09}. Hence the following
+namelist parameters must be set:
 %
 \begin{verbatim}
@@ -758,5 +767,5 @@
 
 thanks to the \href{https://brodeau.github.io/aerobulk/}{Aerobulk} package
-(\citet{brodeau.barnier.ea_JPO16}):
+(\citet{brodeau.barnier.ea_JPO17}):
 
 The choice is made by setting to true one of the following namelist