Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/main/bibliography.bib
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/main/bibliography.bib	(revision 12050)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/main/bibliography.bib	(revision 12051)
@@ -3148,2 +3148,59 @@
 }
 
+@book{sverdrup.johnson.ea_1942,
+author = {H. U. Sverdrup and Martin W. Johnson and Richard H. Fleming},
+title = {The Oceans, Their Physics, Chemistry, and General Biology},
+publisher = {Prentice-Hall},
+address = {New York},
+year = {1942},
+pages = {1087},
+}
+
+@article{kraus.businger_QJRMS96,
+author = "E. B. Kraus and J. A. Businger",
+title = "Atmosphere-ocean interaction.",
+journal="Quarterly Journal of the Royal Meteorological Society",,
+year = "1996",
+volume = "122",
+number = "529",
+pages = "324-325",
+publisher = "John Wiley & Sons, Ltd",
+issn = "1477-870X",
+doi = "10.1002/qj.49712252914"
+}
+
+@article{josey.gulev.ea_2013,
+title = "Exchanges through the ocean surface",
+journal = "Ocean Circulation and Climate - A 21st Century Perspective, Int. Geophys. Ser.",
+year = "2013",
+author = "S. A. Josey and S. Gulev and L. Yu",
+pages = "115-140, edited by G. Siedler et al., Academic Press, Oxford",
+volume = "103",
+doi = "10.1016/B978-0-12-391851-2.00005-2"
+}
+
+@article{fairall.bradley.ea_JGR96,
+  year = "1996",
+ journal = "Journal of Geophysical Research: Oceans",
+  month = "jan",
+  publisher = "American Geophysical Union",
+  volume = "101",
+  number = "C1",
+  pages = "1295-1308",
+  author = "C. W. Fairall and E. F. Bradley and J. S. Godfrey and G. A. Wick and J. B. Edson and G. S. Young",
+  title = "Cool-skin and warm-layer effects on sea surface temperature",
+  doi = "10.1029/95jc03190"
+}
+
+@article{zeng.beljaars_GRL05,
+  year = "2005",
+  month = "jul",
+  publisher = "American Geophysical Union",
+  volume = "32",
+  number = "14",
+  author = "Xubin Zeng and Anton Beljaars",
+  title = "A prognostic scheme of sea surface skin temperature for modeling and data assimilation",
+  journal = "Geophysical Research Letters",
+  doi = "10.1029/2005gl023030"
+}
+
Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/subfiles/chap_SBC.tex
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 12050)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 12051)
@@ -556,7 +556,11 @@
 % aerodynamic bulk formulae:
 
+Note: all the NEMO Fortran routines involved in the present section have been
+ initially developed (and are still developped in parallel) in
+ the \href{https://brodeau.github.io/aerobulk/}{\texttt{AeroBulk}} open-source project
+\citep{brodeau.barnier.ea_JPO17}.
 
 %%% Bulk formulae are this:
-\subsection{Bulk formulae}
+\subsection{Bulk formulae}\label{subsec:SBC_blkform}
 %
 In NEMO, the set of equations that relate each component of the surface fluxes
@@ -594,5 +598,5 @@
 $\rho$ is the density of air. $C_D$, $C_H$ and $C_E$ are the bulk transfer
 coefficients for momentum, sensible heat, and moisture, respectively (hereafter
-referd to as BTCs).
+referred to as BTCs).
 %
 $C_P$ is the heat capacity of moist air, and $L_v$ is the latent heat of
@@ -603,5 +607,5 @@
 respectively. $\gamma z$ is a temperature correction term which accounts for the
 adiabatic lapse rate and approximates the potential temperature at height
-$z$ \citep{Josey_al_2013}.
+$z$ \citep{josey.gulev.ea_2013}.
 %
 $\mathbf{U}_z$ is the wind speed vector at height $z$ above the sea surface
@@ -610,6 +614,5 @@
 %
 The bulk scalar wind speed, namely $U_B$, is the scalar wind speed,
-$|\mathbf{U}_z|$, with the potential inclusion of a gustiness contribution
-(section \ref{s_res2}.\ref{ss_calm}).
+$|\mathbf{U}_z|$, with the potential inclusion of a gustiness contribution .
 %
 $a$ and $\delta$ are the albedo and emissivity of the sea surface, respectively.\\
@@ -619,6 +622,6 @@
 $T_s$ is the sea surface temperature. $q_s$ is the saturation specific humidity
 of air at temperature $T_s$ and includes a 2\% reduction to account for the
-presence of salt in seawater \citep{Sverdrup_al_1942,Kraus_Businger_1996}.
-Depending on the bulk parameterization used, $T_s$ can either be the temperature
+presence of salt in seawater \citep{sverdrup.johnson.ea_1942,kraus.businger_QJRMS96}.
+Depending on the bulk parametrization used, $T_s$ can either be the temperature
 at the air-sea interface (skin temperature, hereafter SSST) or at typically a
 few tens of centimeters below the surface (bulk sea surface temperature,
@@ -627,9 +630,9 @@
 The SSST differs from the SST due to the contributions of two effects of
 opposite sign, the \emph{cool skin} and \emph{warm layer} (hereafter CS and WL,
-respectively).
-%
-Technically, when the ECMWF or COARE* bulk parameterizations are selected
+respectively, see section\,\ref{subsec:SBC_skin}).
+%
+Technically, when the ECMWF or COARE* bulk parametrizations are selected
 (\np[=.true.]{ln_ECMWF}{ln\_ECMWF} or \np[=.true.]{ln_COARE*}{ln\_COARE\*}),
-$T_s$ is the SSST, as opposed to the NCAR bulk parameterization
+$T_s$ is the SSST, as opposed to the NCAR bulk parametrization
 (\np[=.true.]{ln_NCAR}{ln\_NCAR}) for which $T_s$ is the bulk SST (\ie~temperature
 at first T-point level).
@@ -640,26 +643,70 @@
 
 
-\subsection{Bulk parameterizations}
+
+\subsection{Bulk parametrizations}\label{subsec:SBC_blk_ocean}
+%%%\label{subsec:SBC_param}
 
 Accuracy of the estimate of surface turbulent fluxes by means of bulk formulae
 strongly relies on that of the bulk transfer coefficients: $C_D$, $C_H$ and
 $C_E$. They are estimated with what we refer to as a \emph{bulk
-parameterization} algorithm.
-
-... also to adjust humidity and temperature of air to the wind reference measurement
-height (generally 10\,m).
-
-Over the open ocean, four bulk parameterization algorithms are available:
+parametrization} algorithm. When relevant, these algorithms also perform the
+height adjustment of humidity and temperature to the wind reference measurement
+height (from \np{rn_zqt}{rn\_zqt} to \np{rn_zu}{rn\_zu}).
+
+
+
+For the open ocean, four bulk parametrization algorithms are available:
 \begin{itemize}
-\item NCAR, formerly known as CORE, \citep{large.yeager_rpt04}
+\item NCAR, formerly known as CORE, \citep{large.yeager_rpt04,large.yeager_CD09}
 \item COARE 3.0 \citep{fairall.bradley.ea_JC03}
 \item COARE 3.6 \citep{edson.jampana.ea_JPO13}
-\item ECMWF (IFS documentation, cy41)
+\item ECMWF (IFS documentation, cy45)
 \end{itemize}
 
 
-\subsubsection{Appropriate use of the  NCAR algorithm}
-
-NCAR bulk parameterizations (formerly know as CORE) is meant to be used with the
+Differences between versions 3.0 and 3.6 of the COARE algorithm mainly ... wind
+stress BLABLA \citep{edson.jampana.ea_JPO13,brodeau.barnier.ea_JPO17}.
+Therefore it is recommanded to use version 3.6 of the COARE algorithms rather
+than version 3.
+
+
+
+
+\subsection{Cool-skin and warm-layer parametrizations}\label{subsec:SBC_skin}
+%\subsection[Cool-skin and warm-layer parameterizations
+%(\forcode{ln_skin_cs} \& \forcode{ln_skin_wl})]{Cool-skin and warm-layer parameterizations (\protect\np{ln_skin_cs}{ln\_skin\_cs} \& \np{ln_skin_wl}{ln\_skin\_wl})}
+%\label{subsec:SBC_skin}
+%
+As opposed to the NCAR bulk parametrization, more advanced bulk
+parametrizations such as COARE3.x and ECMWF are meant to be used with the skin
+temperature $T_s$ rather than the bulk SST (which, in NEMO is the temperature at
+the first T-point level, see section\,\ref{subsec:SBC_blkform}).
+%
+As such, the relevant cool-skin and warm-layer parametrization must be
+activated through \np[=T]{ln_skin_cs}{ln\_skin\_cs}
+and \np[=T]{ln_skin_wl}{ln\_skin\_wl} to use COARE3.x or ECMWF in a consistent
+way.
+
+\texttt{\#LB: ADD BLBLA ABOUT THE TWO CS/WL PARAMETRIZATIONS (ECMWF and COARE) !!!}
+
+For the cool-skin scheme parametrization COARE and ECMWF algorithms share the same
+basis: \citet{fairall.bradley.ea_JGR96}. With some minor updates based
+on \citet{zeng.beljaars_GRL05} for ECMWF, and \citet{fairall.ea_19} for COARE
+3.6.
+
+For the warm-layer scheme, ECMWF is based on \citet{zeng.beljaars_GRL05} with a
+recent update from \citet{takaya.bidlot.ea_JGR10} (consideration of the
+turbulence input from Langmuir circulation).
+
+Importantly, COARE warm-layer scheme \citep{fairall.ea_19} includes a prognostic
+equation for the thickness of the warm-layer, while it is considered as constant
+in the ECWMF algorithm.
+
+
+\subsection{Appropriate use of each bulk parametrization}
+
+\subsubsection{NCAR}
+
+NCAR bulk parametrizations (formerly know as CORE) is meant to be used with the
 CORE II atmospheric forcing \citep{large.yeager_CD09}. Hence the following
 namelist parameters must be set:
@@ -679,9 +726,12 @@
 
 
-\subsubsection{Appropriate use of the ECMWF algorithm}
-
+\subsubsection{ECMWF}
+%
 With a DFS* or any ECMWF-based type of atmospheric forcing, we strongly
-recommand to use the ECMWF bulk parameterizations with the cool-skin and
-warm-layer parameterizations turned on. In ECMWF reanalyzes, since air temperature and humidity are provided at the 2\,m height, and that the humidity is provided as a dew-point temperature, the namelist must be tuned as follows:
+recommend to use the ECMWF bulk parametrizations with the cool-skin and
+warm-layer parametrizations turned on. In ECMWF reanalyzes, since air
+temperature and humidity are provided at the 2\,m height, and given that the
+humidity is provided as the dew-point temperature, the namelist must be tuned as
+follows:
 %
 \begin{verbatim}
@@ -698,13 +748,18 @@
   ...
 \end{verbatim}
-
+%
 Note: when \np{ln_ECMWF}{ln\_ECMWF} is selected, the selection
-of \np{ln_skin_cs}{ln\_skin\_cs} and \np{ln_skin_wl}{ln\_skin\_wl} implicitely
-triggers the use of the ECMWF cool-skin and warm-layer parameterizations,
+of \np{ln_skin_cs}{ln\_skin\_cs} and \np{ln_skin_wl}{ln\_skin\_wl} implicitly
+triggers the use of the ECMWF cool-skin and warm-layer parametrizations,
 respectively (found in \textit{sbcblk\_skin\_ecmwf.F90}).
 
 
-\subsubsection{Appropriate use of the COARE 3.x algorithms}
-
+\subsubsection{COARE 3.x}
+%
+Since the ECMWF parametrization is largely based on the COARE* parametrization,
+the two algorithms are very similar in terms of structure and closure approach
+(see \citet{brodeau.barnier.ea_JPO17} for the differences). As such, the
+namelist tuning for COARE 3.x is identical to that of ECMWF:
+%
 \begin{verbatim}
   ...
@@ -716,7 +771,7 @@
 \end{verbatim}
 
-Note: when \np{ln_COARE3pX}{ln\_COARE3pX} is selected, the selection
-of \np{ln_skin_cs}{ln\_skin\_cs} and \np{ln_skin_wl}{ln\_skin\_wl} implicitely
-triggers the use of the COARE cool-skin and warm-layer parameterizations,
+Note: when \np[=T]{ln_COARE3p0}{ln\_COARE3p0} is selected, the selection
+of \np{ln_skin_cs}{ln\_skin\_cs} and \np{ln_skin_wl}{ln\_skin\_wl} implicitly
+triggers the use of the COARE cool-skin and warm-layer parametrizations,
 respectively (found in \textit{sbcblk\_skin\_coare.F90}).
 
@@ -735,27 +790,6 @@
 
 
-\subsection[Cool-skin and warm-layer parameterizations (\forcode{ln_skin_cs} \& \forcode{ln_skin_wl})]{Cool-skin and warm-layer parameterizations (\protect\np{ln_skin_cs}{ln\_skin\_cs} \& \np{ln_skin_wl}{ln\_skin\_wl})}
-\label{subsec:SBC_skin}
-
-As oposed to the NCAR bulk parameterization, more advanced bulk
-parameterizations such as COARE3.x and ECMWF are meant to be used with the skin
-temperature $T_s$ rather than the bulk SST (which, in NEMO is the temperature at
-the first T-point level).
-%
-So that, technically, the cool-skin and warm-layer parameterization must be
-activated (XXX) to use COARE3.x and ECMWF in a consistant way.
-
-
-\subsection{Air humidity}
-
-Air humidity can be provided as three different parameters: specific humidity
-[kg/kg], relative humidity [\%], or dew-point temperature [K] (LINK to namelist
-parameters)...
-
-
-~\\
-
-
-
+
+\subsection{Prescribed near-surface atmospheric state}
 
 The atmospheric fields used depend on the bulk formulae used.  In forced mode,
@@ -765,14 +799,7 @@
 %
 
-
-thanks to the \href{https://brodeau.github.io/aerobulk/}{Aerobulk} package
-(\citet{brodeau.barnier.ea_JPO17}):
-
-The choice is made by setting to true one of the following namelist
-variable: \np{ln_NCAR}{ln\_NCAR}, \np{ln_COARE_3p0}{ln\_COARE\_3p0}, \np{ln_COARE_3p6}{ln\_COARE\_3p6}
-and \np{ln_ECMWF}{ln\_ECMWF}.  For sea-ice, three possibilities can be selected:
-a constant transfer coefficient (1.4e-3; default
-value), \citet{lupkes.gryanik.ea_JGR12} (\np{ln_Cd_L12}{ln\_Cd\_L12}),
-and \citet{lupkes.gryanik_JGR15} (\np{ln_Cd_L15}{ln\_Cd\_L15}) parameterizations
+%The choice is made by setting to true one of the following namelist
+%variable: \np{ln_NCAR}{ln\_NCAR}, \np{ln_COARE_3p0}{ln\_COARE\_3p0}, \np{ln_COARE_3p6}{ln\_COARE\_3p6}
+%and \np{ln_ECMWF}{ln\_ECMWF}. 
 
 Common options are defined through the \nam{sbc_blk}{sbc\_blk} namelist variables.
@@ -832,30 +859,60 @@
 the namsbc\_blk namelist (see \autoref{subsec:SBC_fldread}).
 
-%% =================================================================================================
-\subsection[Ocean-Atmosphere Bulk formulae (\textit{sbcblk\_algo\_coare3p0.F90, sbcblk\_algo\_coare3p6.F90, sbcblk\_algo\_ecmwf.F90, sbcblk\_algo\_ncar.F90})]{Ocean-Atmosphere Bulk formulae (\mdl{sbcblk\_algo\_coare3p0}, \mdl{sbcblk\_algo\_coare3p6}, \mdl{sbcblk\_algo\_ecmwf}, \mdl{sbcblk\_algo\_ncar})}
-\label{subsec:SBC_blk_ocean}
-
-Four different bulk algorithms are available to compute surface turbulent momentum and heat fluxes over the ocean.
-COARE 3.0, COARE 3.6 and ECMWF schemes mainly differ by their roughness lenghts computation and consequently
-their neutral transfer coefficients relationships with neutral wind.
-\begin{itemize}
-\item NCAR (\np[=.true.]{ln_NCAR}{ln\_NCAR}): The NCAR bulk formulae have been developed by \citet{large.yeager_rpt04}.
-  They have been designed to handle the NCAR forcing, a mixture of NCEP reanalysis and satellite data.
-  They use an inertial dissipative method to compute the turbulent transfer coefficients
-  (momentum, sensible heat and evaporation) from the 10m wind speed, air temperature and specific humidity.
-  This \citet{large.yeager_rpt04} dataset is available through
-  the \href{http://nomads.gfdl.noaa.gov/nomads/forms/mom4/NCAR.html}{GFDL web site}.
-  Note that substituting ERA40 to NCEP reanalysis fields does not require changes in the bulk formulea themself.
-  This is the so-called DRAKKAR Forcing Set (DFS) \citep{brodeau.barnier.ea_OM10}.
-\item COARE 3.0 (\np[=.true.]{ln_COARE_3p0}{ln\_COARE\_3p0}): See \citet{fairall.bradley.ea_JC03} for more details
-\item COARE 3.6 (\np[=.true.]{ln_COARE_3p6}{ln\_COARE\_3p6}): See \citet{edson.jampana.ea_JPO13} for more details
-\item ECMWF (\np[=.true.]{ln_ECMWF}{ln\_ECMWF}): Based on \href{https://www.ecmwf.int/node/9204}{IFS (Cy40r1)} implementation and documentation.
-  Surface roughness lengths needed for the Obukhov length are computed
-  following \citet{beljaars_QJRMS95}.
-\end{itemize}
+
+\subsubsection{Air humidity}
+
+Air humidity can be provided as three different parameters: specific humidity
+[kg/kg], relative humidity [\%], or dew-point temperature [K] (LINK to namelist
+parameters)...
+
+
+~\\
+
+
+
+
+
+
+
+
+
+
+%% =================================================================================================
+%\subsection[Ocean-Atmosphere Bulk formulae (\textit{sbcblk\_algo\_coare3p0.F90, sbcblk\_algo\_coare3p6.F90, %sbcblk\_algo\_ecmwf.F90, sbcblk\_algo\_ncar.F90})]{Ocean-Atmosphere Bulk formulae (\mdl{sbcblk\_algo\_coare3p0}, %\mdl{sbcblk\_algo\_coare3p6}, \mdl{sbcblk\_algo\_ecmwf}, \mdl{sbcblk\_algo\_ncar})}
+%\label{subsec:SBC_blk_ocean}
+
+%Four different bulk algorithms are available to compute surface turbulent momentum and heat fluxes over the ocean.
+%COARE 3.0, COARE 3.6 and ECMWF schemes mainly differ by their roughness lenghts computation and consequently
+%their neutral transfer coefficients relationships with neutral wind.
+%\begin{itemize}
+%\item NCAR (\np[=.true.]{ln_NCAR}{ln\_NCAR}): The NCAR bulk formulae have been developed by \citet{large.yeager_rpt04}.
+%  They have been designed to handle the NCAR forcing, a mixture of NCEP reanalysis and satellite data.
+%  They use an inertial dissipative method to compute the turbulent transfer coefficients
+%  (momentum, sensible heat and evaporation) from the 10m wind speed, air temperature and specific humidity.
+%  This \citet{large.yeager_rpt04} dataset is available through
+%  the \href{http://nomads.gfdl.noaa.gov/nomads/forms/mom4/NCAR.html}{GFDL web site}.
+%  Note that substituting ERA40 to NCEP reanalysis fields does not require changes in the bulk formulea themself.
+%  This is the so-called DRAKKAR Forcing Set (DFS) \citep{brodeau.barnier.ea_OM10}.
+%\item COARE 3.0 (\np[=.true.]{ln_COARE_3p0}{ln\_COARE\_3p0}): See \citet{fairall.bradley.ea_JC03} for more details
+%\item COARE 3.6 (\np[=.true.]{ln_COARE_3p6}{ln\_COARE\_3p6}): See \citet{edson.jampana.ea_JPO13} for more details
+%\item ECMWF (\np[=.true.]{ln_ECMWF}{ln\_ECMWF}): Based on \href{https://www.ecmwf.int/node/9204}{IFS (Cy40r1)} %implementation and documentation.
+%  Surface roughness lengths needed for the Obukhov length are computed
+%  following \citet{beljaars_QJRMS95}.
+%\end{itemize}
 
 %% =================================================================================================
 \subsection{Ice-Atmosphere Bulk formulae}
 \label{subsec:SBC_blk_ice}
+
+
+\texttt{\#out\_of\_place:}
+ For sea-ice, three possibilities can be selected:
+a constant transfer coefficient (1.4e-3; default
+value), \citet{lupkes.gryanik.ea_JGR12} (\np{ln_Cd_L12}{ln\_Cd\_L12}),
+and \citet{lupkes.gryanik_JGR15} (\np{ln_Cd_L15}{ln\_Cd\_L15}) parameterizations
+\texttt{\#out\_of\_place.}
+
+
+
 
 Surface turbulent fluxes between sea-ice and the atmosphere can be computed in three different ways: